Skip to main content

List transaction activity

GET /v2/activity/{accountId}

Request

Use this request to get a list of transactions for a given account, based on its id. Results are ordered chronologically by creation date, with the most recent transaction appearing first.
Sample request
curl -i -X GET \
  'https://api.equalsmoney.com/v2/activity/F12345' \
  -H 'Authorization: ApiKey YOUR_API_KEY_HERE'
Request structure
curl -i -X GET \
  'https://api.equalsmoney.com/v2/activity/{accountId}' \
  -H 'Authorization: ApiKey YOUR_API_KEY_HERE'

Path parameters

accountId
string
required
The ID of the account that you want to get a list of transactions for.Allowable values: An existing accountId

Query parameters

limit
integer
The maximum amount of results to return. By default, this is set to 100.Allowable values: [ 1 .. 1000 ]
offset
integer
The amount of results to skip. By default, this is set to 0.Allowable values: A valid integer
include
array of strings
Optional additional information to return in the results.Allowable values: bankFeedDetails, annotations, attachments
personId
array of strings (uuid)
The ID of the person to filter results by. Use commas to pass multiple values. Has to be URL encoded.Example: personId=34edaf73-49be-4669-83ee-1b1f8c680d29%2Ceee079a2-5453-4a69-8d5d-223db353f0f3
type
array of strings
The type to filter results by. Use commas to pass multiple values. Has to be URL encoded. For example, type=payment%2Cload. For more information about each type, see About transaction types.Allowable values: exchange, payment, deposit, forwardContract, drawdown, card, cardCheck, cardRefund, cashWithdrawal, atm, unload, otherDebit, load, cashback, chargeback, otherCredit, fee, batchPayment
excludeType
array of strings
The type to exclude in the transactions list. Use commas to pass multiple values. Has to be URL encoded.Allowable values: exchange, payment, deposit, forwardContract, drawdown, card, cardCheck, cardRefund, cashWithdrawal, atm, unload, otherDebit, load, cashback, chargeback, otherCredit, fee, batchPayment
status
array of strings
The status to filter results by. Use commas to pass multiple values. Has to be URL encoded. For example, status=complete%2Ccancelled. For more information about each status, see About transaction statuses.Allowable values: needsApproval, fundsRequired, pending, complete, declined, reverted, refunded, cancelled, open, cardCheck, fundsSettled
budgetId
array of strings (uuid) or null
The budgetId to filter results by. Use commas to pass multiple values. Has to be URL encoded.Allowable values: An existing budgetId (≤ 36 characters)
budgetName
array of strings (uuid) or null
The budgetName to filter results by. Use commas to pass multiple values. Has to be URL encoded. For example, budgetName=Account%2Cmarketing.Allowable values: An existing budgetName (≤ 36 characters)
sellCurrency
array of strings
Filters transactions that include selling these currencies. Use commas to pass multiple values. Has to be URL encoded. For example, sellCurrency=usd%2Cgbp.Allowable values: 3 characters
buyCurrency
array of strings
Filters transactions that include purchasing these currencies. Use commas to pass multiple values. Has to be URL encoded. For example, buyCurrency=usd%2Cgbp.Allowable values: 3 characters
startDate
string (date)
The earliest date from which to retrieve results (includes transactions on this date). For example, startDate=2021-02-15.Allowable values: Format: YYYY-MM-DD
endDate
string (date)
The latest date until which to retrieve results (includes transactions on this date). For example, endDate=2021-03-30.Allowable values: Format: YYYY-MM-DD
Filters results that include this string. For example, search=Jane+Doe.Allowable values: A valid string
annotationStatus
array of strings
If annotations is included in the include parameter, this will filter the transactions based on the status of the annotations. For example, annotationStatus=draft%2Csubmitted.Allowable values: draft, submitted, unannotated
attachmentStatus
array of strings
If attachments is included in the include parameter, this will filter the transactions based on whether transactions have attachments or not. For example, attachmentStatus=absent%2CpresentAllowable values: absent, present, lost

Response

If your request is successful, you’ll receive a 200 response containing a list of transactions, ordered chronologically with the most recent transaction appearing first.
{
  "count": 3,
  "limit": 100,
  "offset": 0,
  "rows": [
    {
      "budget": "companyBalance",
      "resourceType": "payment",
      "id": 123456,
      "orderId": 654321,
      "userId": "4bf13dc8-d128-4521-99b8-4002b8987499",
      "originId": "0684fc07-4abc-46de-b664-da45ef3c4072",
      "originOrderId": "F6VOXCZ1AMND",
      "companyId": "F12345",
      "status": "fundsRequired",
      "isMultiBeneficiary": false,
      "remitterName": null,
      "beneficiaryId": "7l2nks3eh",
      "beneficiaryName": "William Walker",
      "beneficiaryAddress": "",
      "beneficiaryAccountNumber": "12345678",
      "beneficiarySortCode": "123456",
      "beneficiaryIban": "",
      "beneficiaryBankCode": "",
      "beneficiaryCountryCode": "GB",
      "beneficiaryBankAddress": "UPPER THAMES STREET, 68 VINTNERS PLACE FAIRFX FLOOR 3 LONDON EC4V 3BJ",
      "beneficiaryRoutingInfo": "Payment will be routed from Bank of England and then through Lloyds bank",
      "reference": "Invoice 3468 payment",
      "amount": 99.99,
      "currency": "GBP",
      "buyCurrency": "GBP",
      "sellCurrency": "GBP",
      "settlementAmountWithoutFee": 99.99,
      "settlementAmount": 99.99,
      "settlementFee": 0,
      "customerRate": 1,
      "customerInverseRate": 1,
      "uniqueId": "8233f929-94d3-4390-8d27-da92b733cafb",
      "confirmationKey": "F12345/pdf/F12345-F6VOXCZ1AMND.pdf",
      "cardLastFour": null,
      "cardExpiry": null,
      "cardNetwork": null,
      "type": "payment",
      "budgetId": "63f4b801-70d6-4bba-b3f3-7b9acd051633",
      "budgetName": "Account balance",
      "createdAt": "2022-11-14T10:55:28.000Z",
      "updatedAt": "2022-11-14T10:55:30.000Z",
      "order": {
        "id": 123456,
        "companyId": "F12345",
        "originId": "F6VOXCZ1AMND",
        "parentOriginId": null,
        "userId": "d4fd55fe-836d-48d2-8d49-e5629bd508a6",
        "userName": "",
        "status": "fundsRequired",
        "type": "payment",
        "createdAt": "2022-11-14T10:55:28.000Z",
        "updatedAt": "2022-11-14T10:55:30.000Z",
        "events": [
          {
            "id": "beec0eb3-3e11-44a4-86de-65404510038a",
            "eventId": "4c191b59-685b-454b-bad7-e832505ee51c",
            "orderCreatedAt": "2022-11-14T10:55:28.000Z",
            "eventType": 0,
            "orderId": 123456,
            "title": "Order created",
            "description": "Payment to William Walker created"
          }
        ]
      },
      "transactionBoxes": []
    },
    {
      "resourceType": "box",
      "id": "1352a456-b53f-4930-a151-1694c5655549",
      "accountId": "F12345",
      "transactionGroupId": "ef0b2cd8-119d-4403-9cde-5d19414f05a9",
      "sourceGroupId": null,
      "transactionType": "Boxes",
      "status": null,
      "transactionDate": null,
      "createdAt": "2022-11-12T06:02:53.000Z",
      "updatedAt": "2022-11-12T06:02:53.000Z",
      "transactionGroup": {
        "id": "ef0b2cd8-119d-4403-9cde-5d19414f05a9",
        "accountId": "F12345",
        "personId": null,
        "firstName": null,
        "lastName": null,
        "budgetId": "fe64b139-4824-41b5-93c2-0fad876ceac0",
        "budgetName": "Account balance",
        "createdAt": "2022-11-12T06:02:53.000Z",
        "updatedAt": "2022-11-12T06:02:53.000Z"
      },
      "transactionBox": {
        "id": "992e9652-d313-4ea7-aa93-b96b247627c2",
        "transactionId": "1352a456-b53f-4930-a151-1694c5655549",
        "transactionBoxableId": "1352a456-b53f-4930-a151-1694c5655549",
        "boxId": null,
        "type": "credit",
        "amount": 99.99,
        "currency": "GBP",
        "paymentType": "UK.OBIE.FPS",
        "transactionReference": "02FP000000199076071020221",
        "statementReference": "Ref",
        "creditDebitIndicator": "Credit",
        "debitId": null,
        "creditId": 48731088,
        "boxTransactionId": null,
        "thirdPartyReference": "",
        "marqetaTransactionToken": null,
        "marqetaTransactionIdentifier": null,
        "internalAccountTransferId": "Test 123456",
        "affectsLedgerBalance": true,
        "runningBalance": null,
        "blockId": null,
        "blockTag": null,
        "valueDateTime": "2022-11-12T06:01:52.000Z",
        "transactionBoxableType": "transaction",
        "orderId": null,
        "eventSource": "External Credit",
        "createdAt": "2022-11-12T06:02:53.000Z",
        "updatedAt": "2022-11-12T06:02:53.000Z",
        "chargeBearer": null,
        "transactionDebtorAccount": {
          "id": "4a13687d-7543-4809-96c4-4bd1a24a006e",
          "transactionBoxId": "992e9652-d313-4ea7-aa93-b96b247627c2",
          "ownerId": null,
          "accountId": null,
          "schemeName": "UK.OBIE.SortCodeAccountNumber",
          "identification": "00999718976098",
          "name": "William Walker",
          "address": null,
          "institutionName": null,
          "institutionAddress": null,
          "institutionBic": ""
        },
        "transactionCreditorAccount": {
          "id": "97e652a1-ca0b-40ce-8926-73a2f450c974",
          "transactionBoxId": "992e9652-d313-4ea7-aa93-b96b247627c2",
          "ownerId": "3de6732e39",
          "accountId": "d767e2390c",
          "schemeName": "UK.OBIE.SortCodeAccountNumber",
          "identification": "00999734593642",
          "name": "John Smith"
        }
      }
    },
    {
      "resourceType": "card",
      "id": "19bbf64b-ddfb-48ee-b125-66ed4455d534",
      "accountId": "F12345",
      "transactionGroupId": "f863de54-1cac-49b2-b624-ffd3a54dfcc7",
      "sourceGroupId": "71013bb0-f3fa-48a9-917e-39434df17aa7",
      "transactionType": "Marqeta",
      "status": null,
      "transactionDate": "2022-08-18T13:38:01.000Z",
      "createdAt": "2022-08-17T07:07:10.000Z",
      "updatedAt": "2022-08-18T14:25:22.000Z",
      "transactionGroup": {
        "id": "f863de54-1cac-49b2-b624-ffd3a54dfcc7",
        "accountId": "F12345",
        "personId": "e5098eb4-4800-4276-a234-2a9185399430",
        "firstName": "John",
        "lastName": "Smith",
        "budgetId": "650b2c1b-21fa-4d79-b73c-7aa9482c0e66",
        "budgetName": "Account Balance",
        "createdAt": "2022-08-17T07:07:12.000Z",
        "updatedAt": "2022-08-17T07:07:12.000Z"
      },
      "cardTransaction": {
        "id": "7a5e1306-794c-4ccb-a0d1-e647eff79c6b",
        "transactionToken": null,
        "identifier": 1234,
        "transactionId": "19bbf64b-ddfb-48ee-b125-66ed4455d534",
        "localAmount": 99.99,
        "localAmountCurrency": "GBP",
        "baseCurrency": null,
        "feeAmount": 0,
        "feeCurrency": "GBP",
        "exchangeRate": 1,
        "total": 0,
        "cardName": "Debit Card",
        "cardId": "8fe9cd43-d79f-4025-a0dc-3ee4ace98eb8",
        "cardProductToken": null,
        "cardType": "PHYSICAL_MSR",
        "cardLastDigits": "1234",
        "status": "unknown",
        "type": "unknown",
        "approvalCode": 654321,
        "acquirerInstitutionIdCode": "000000",
        "acquirerReferenceNumber": null,
        "paymentChannel": null,
        "transactionCompletedAt": "2022-08-19T00:00:00.000Z",
        "transactionCreatedAt": "2022-08-17T07:07:10.000Z",
        "boxesResponse": null,
        "createdAt": "2022-08-18T14:25:22.000Z",
        "updatedAt": "2022-08-18T14:25:22.000Z",
        "chargedTotalAmount": null,
        "chargedAmount": null,
        "chargedCurrency": null,
        "response": {
          "code": null,
          "memo": null
        }
      },
      "merchant": {
        "id": "7221d41b-69c3-4fbc-8317-d3210d97b3ab",
        "merchantCategoryId": "d780ae34-dfe1-4e24-82f0-2043c7fa30d4",
        "mid": "5009545",
        "subMerchantId": null,
        "originalName": "ACME COFFEE",
        "name": "ACME COFFEE",
        "description": null,
        "address": null,
        "city": "LONDON",
        "state": "GBR",
        "postalCode": "EC3V 2BJ",
        "countryCode": "GBR",
        "website": null,
        "logo": null,
        "emoji": "",
        "notes": "",
        "createdAt": "2022-01-11T09:46:07.000Z",
        "updatedAt": "2022-01-11T09:46:07.000Z",
        "merchantCategory": {
          "id": "d780ae34-dfe1-4e24-82f0-2043c7fa30d4",
          "code": "5814",
          "description": "Fast food restaurants",
          "createdAt": "2021-09-10T08:55:06.000Z",
          "updatedAt": "2021-09-10T08:55:06.000Z"
        }
      }
    }
  ]
}

Pagination

Results are paginated using the limit and offset query parameters. By default, the API returns up to 100 results starting from offset 0. To retrieve the next page of results, increase the offset by the limit value. For example, to get the second page of 100 results, set offset=100. You can use the count field in the response to determine the total number of results available.
Example: Get the second page of 50 results
curl -i -X GET \
  'https://api.equalsmoney.com/v2/activity/F12345?limit=50&offset=50' \
  -H 'Authorization: ApiKey YOUR_API_KEY_HERE'

Filtering examples

You can combine query parameters to narrow down results. Here are some common examples. Filter by transaction type:
Get only card transactions
curl -i -X GET \
  'https://api.equalsmoney.com/v2/activity/F12345?type=card' \
  -H 'Authorization: ApiKey YOUR_API_KEY_HERE'
Filter by date range:
Get transactions from January 2024
curl -i -X GET \
  'https://api.equalsmoney.com/v2/activity/F12345?startDate=2024-01-01&endDate=2024-01-31' \
  -H 'Authorization: ApiKey YOUR_API_KEY_HERE'
Filter by status:
Get only completed transactions
curl -i -X GET \
  'https://api.equalsmoney.com/v2/activity/F12345?status=complete' \
  -H 'Authorization: ApiKey YOUR_API_KEY_HERE'
Combine multiple filters:
Get completed card transactions from January 2024
curl -i -X GET \
  'https://api.equalsmoney.com/v2/activity/F12345?type=card&status=complete&startDate=2024-01-01&endDate=2024-01-31' \
  -H 'Authorization: ApiKey YOUR_API_KEY_HERE'
For more information about this request and its response, see the API reference.